---
title: HTMLMediaElement.src
slug: Web/API/HTMLMediaElement/src
tags:
  - API
  - HTML DOM
  - HTMLMediaElement
  - Property
  - Reference
  - src
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>HTMLMediaElement.src</code></strong> property reflects the value of the HTML media element's <code>src</code> attribute, which indicates the URL of a media resource to use in the element.</p>

<div class="note">
<p><strong>Note:</strong> The best way to know the URL of the media resource currently in active use in this element is to look at the value of the {{domxref("HTMLMediaElement.currentSrc", "currentSrc")}} attribute, which also takes into account selection of a best or preferred media resource from a list provided in an {{domxref("HTMLSourceElement")}} (which represents a {{HTMLElement("source")}} element).</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>mediaUrl</em> = <em>HTMLMediaElement</em>.src;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("USVString")}} object containing the URL of a media resource to use in the element; this property reflects the value of the HTML element's <code>src</code> attribute.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var obj = document.createElement('video');
console.log(obj.src); // ""
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "embedded-content.html#dom-media-src", "HTMLMediaElement.src")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName('HTML5 W3C')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "embedded-content-0.html#dom-media-src", "HTMLMediaElement.src")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMediaElement.src")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li>The interface defining it, {{domxref("HTMLMediaElement")}}.</li>
</ul>
